## org.apache.tools.ant.taskdefs.optional
Class StyleBook

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Java
                        |
                        +--org.apache.tools.ant.taskdefs.optional.StyleBook

public class StyleBook
extends Java

Executes the Apache Stylebook documentation generator. Unlike the commandline version of this tool, all three arguments are required to run stylebook.

Being extended from <Java>, all the parent's attributes and options are available. Do not set any apart from the `classpath` as they are not guaranteed to be there in future.

Author:
  Peter Donald, Marcus Börger
To do:
  stop extending from Java.

Field Summary
`protected java.io.File` `m_book`
`protected java.lang.String` `m_loaderConfig`
`protected java.io.File` `m_skinDirectory`
`protected java.io.File` `m_targetDirectory`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`StyleBook()`

Method Summary
`void` `execute()` call the program
`void` `setBook(java.io.File book)` The book xml file that the documentation generation starts from; required.
`void` `setLoaderConfig(java.lang.String loaderConfig)` A loader configuration to send to stylebook; optional.
`void` `setSkinDirectory(java.io.File skinDirectory)` the directory that contains the stylebook skin; required.
`void` `setTargetDirectory(java.io.File targetDirectory)` the destination directory where the documentation is generated; required.

Methods inherited from class org.apache.tools.ant.taskdefs.Java
`addEnv, addSysproperty, clearArgs, createArg, createClasspath, createJvmarg, createWatchdog, executeJava, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, run, setAppend, setArgs, setClassname, setClasspath, setClasspathRef, setDir, setFailonerror, setFork, setJar, setJvm, setJvmargs, setJVMVersion, setMaxmemory, setNewenvironment, setOutput, setTimeout`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_targetDirectory

    protected java.io.File m_targetDirectory

### m_skinDirectory

    protected java.io.File m_skinDirectory

### m_loaderConfig

    protected java.lang.String m_loaderConfig

### m_book

    protected java.io.File m_book

Constructor Detail

### StyleBook

    public StyleBook()

Method Detail

### setBook

    public void setBook(java.io.File book)

  The book xml file that the documentation generation starts from; required.

### setSkinDirectory

    public void setSkinDirectory(java.io.File skinDirectory)

  the directory that contains the stylebook skin; required.

### setTargetDirectory

    public void setTargetDirectory(java.io.File targetDirectory)

  the destination directory where the documentation is generated; required.

### setLoaderConfig

    public void setLoaderConfig(java.lang.String loaderConfig)

  A loader configuration to send to stylebook; optional.

### execute

    public void execute()
                 throws BuildException

  call the program

  Overrides:
    `execute` in class `Java`
  Throws:
    `BuildException` - if something goes wrong with the build

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.